package com.sqx.modules.userExtension.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.userExtension.entity.UserExtension;

public interface UserExtensionService extends IService<UserExtension> {
    Result addUserExtension(UserExtension userExtension);

    Result updateUserExtension(UserExtension userExtension);

    UserExtension getUserExtensionInfo(Long userId);

    IPage<UserExtension> getExtensionList(Integer page, Integer limit, UserExtension userExtension);

    Result examine(Integer status,Long extensionId, String remarks,String divideScale,String divideTwoScale);
}
